Bug 185446 - Mis-identifies ASCII as MSX game cartridge dump
Summary: Mis-identifies ASCII as MSX game cartridge dump
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: file (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 187539
TreeView+ depends on / blocked
 
Reported: 2006-03-14 21:16 UTC by kop
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2006-0389
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 19:28:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0389 normal SHIPPED_LIVE file bug fix update 2006-07-19 19:03:00 UTC

Description kop 2006-03-14 21:16:03 UTC
Description of problem:

All ASCII files beginning with the 2 letters AB
are identified as MSX game cartrage dumps.

Version-Release number of selected component (if applicable):
file-3.39-9.EL3.3

How reproducible:
Always

Steps to Reproduce:
1.echo AB | file -s -
2.
3.
  
Actual results:
standard input:              MSX game cartridge dump

Expected results:
Identification as ASCII text.

Additional info:
Bug in magic(5).  I looked at the latest version of file (4.17) and the problem
is not in the new version.  (The offending magic line is commented out.)

This occasionaly breaks one of our apps and causes problems with our users.

Comment 5 Red Hat Bugzilla 2006-05-03 19:28:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0389.html



Note You need to log in before you can comment on or make changes to this bug.